ServerEvents.tags('item', event => {
	
  event.add("forge:sandstone/venus_sandstone", ['ad_astra:venus_sandstone',])
  event.add('forge:advanced_alloy_material', ['alltheores:lead_ingot','alltheores:silver_ingot','alltheores:aluminum_ingot'])
  event.add('forge:limestone', ['create:limestone','justanotherchiselmod:limestone'])
	
  event.add('notreepunching:weak_saws', ['mekanismtools:bronze_axe'])
  event.add('notreepunching:weak_saws', ['cyclic:copper_axe'])
  //event.remove('minecraft:water', ['create_dd:shimmer'])
  event.remove('forge:plates/steel', ['ad_astra:steel_plate'])
  event.remove('ad_astra:steel_plates', ['ad_astra:steel_plate'])
  event.remove('c:steel_plates', ['ad_astra:steel_plate'])

  event.add('forge:lubricant', ['tfmg:lubrication_oil'])

  event.add('forge:energy_connectors', ['createaddition:small_light_connector', 'createaddition:small_light_connector', 'createaddition:large_connector'])
  
  event.add('forge:ores/desh', ['ad_astra:moon_desh_ore','ad_astra:deepslate_desh_ore'])
  event.add('forge:ores/ostrum', ['ad_astra:mars_ostrum_ore','ad_astra:deepslate_ostrum_ore'])
  event.add('forge:ores/calorite', ['ad_astra:venus_calorite_ore','ad_astra:deepslate_calorite_ore'])
  
  event.add('forge:ingots/zinc', ['alltheores:zinc_ingot'])
  event.add('forge:ingots/aluminum', ['alltheores:aluminum_ingot'])
  event.add('forge:ingots/brass', ['alltheores:brass_ingot'])
  event.add('forge:ingots/steel', ['alltheores:steel_ingot'])
  event.add('forge:ingots/uranium', ['alltheores:uranium_ingot'])
  event.add('forge:ingots/tin', ['alltheores:tin_ingot'])
  event.add('forge:ingots/silver', ['alltheores:silver_ingot'])
  event.add('forge:ingots/nickel', ['alltheores:nickel_ingot'])
  event.add('forge:ingots/lead', ['alltheores:lead_ingot'])
  event.add('forge:ingots/bronze', ['alltheores:bronze_ingot'])
  
  event.add('forge:ingots/strong_bronze', ['alltheores:bronze_ingot'])
  
  event.add('forge:nuggets/zinc', ['alltheores:zinc_nugget'])
  event.add('forge:nuggets/aluminium', ['alltheores:aluminum_nugget'])
  event.add('forge:nuggets/brass', ['alltheores:brass_nugget'])
  event.add('forge:nuggets/steel', ['alltheores:steel_nugget'])
  event.add('forge:nuggets/uranium', ['alltheores:uranium_nugget'])
  event.add('forge:nuggets/tin', ['alltheores:tin_nugget'])
  event.add('forge:nuggets/silver', ['alltheores:silver_nugget'])
  event.add('forge:nuggets/nickel', ['alltheores:nickel_nugget'])
  event.add('forge:nuggets/lead', ['alltheores:lead_nugget'])
  event.add('forge:nuggets/bronze', ['alltheores:bronze_nugget'])
  event.add('forge:nuggets/netherite', ['createdeco:netherite_nugget'])
  
  event.add('forge:dusts/zinc', ['alltheores:zinc_dust'])
  event.add('forge:dusts/aluminum', ['alltheores:aluminum_dust'])
  event.add('forge:dusts/brass', ['alltheores:brass_dust'])
  event.add('forge:dusts/uranium', ['alltheores:uranium_dust'])
  event.add('forge:dusts/tin', ['alltheores:tin_dust'])
  event.add('forge:dusts/silver', ['alltheores:silver_dust'])
  event.add('forge:dusts/nickel', ['alltheores:nickel_dust'])
  event.add('forge:dusts/lead', ['alltheores:lead_dust'])
  
  event.add('forge:dusts/iron', ['energizedpower:iron_dust'])
  event.add('forge:dusts/tin', ['energizedpower:tin_dust'])
  event.add('forge:dusts/copper', ['energizedpower:copper_dust'])
  event.add('forge:dusts/gold', ['energizedpower:gold_dust'])
  event.add('forge:dusts/charcoal', ['energizedpower:charcoal_dust'])
  event.add('forge:dusts/coal', ['factorium:mat_carbon_dust'])
  
  event.add('forge:raw_materials/tin', ['alltheores:raw_tin'])
  event.add('forge:raw_materials/nickel', ['alltheores:raw_nickel'])
  event.add('forge:raw_materials/lead', ['alltheores:raw_lead'])
  event.add('forge:raw_materials/aluminum', ['alltheores:raw_aluminum'])
  event.add('forge:raw_materials/osmium', ['alltheores:raw_osmium'])
  event.add('forge:raw_materials/silver', ['alltheores:raw_silver'])
  event.add('forge:raw_materials/uranium', ['alltheores:raw_uranium'])
  event.add('forge:raw_materials/zinc', ['alltheores:raw_zinc'])
  
  event.add('forge:ingots/industrial_iron', ['createdeco:industrial_iron_ingot'])
  event.add('forge:plates/industrial_iron', ['createdeco:industrial_iron_sheet'])
  event.add('forge:nuggets/industrial_iron', ['createdeco:industrial_iron_nugget'])
  
  event.add('forge:plastic', ['tfmg:plastic_sheet'])
  event.add('pneumaticcraft:plastic_sheets', ['tfmg:plastic_sheet'])
  
  event.add('forge:plates/andesite_alloy', ['createdeco:andesite_sheet'])
  
  event.add('createdeco:internal/plates/zinc_plates', ['alltheores:zinc_plate'])
  event.add('createdeco:internal/plates/brass_plates', ['alltheores:brass_plate'])
  event.add('createdeco:internal/plates/iron_plates', ['alltheores:iron_plate'])
  event.add('createdeco:internal/plates/copper_plates', ['alltheores:copper_plate'])
})

ServerEvents.tags('fluid', event => {

  event.remove('minecraft:water', ['create_dd:shimmer'])
  event.add('forge:lubricant', ['tfmg:lubrication_oil'])
  event.get("forge:water").removeAll()
  event.add('forge:water','minecraft:water')
  event.get("minecraft:water").removeAll()
  event.add('minecraft:water','minecraft:water')
})
